Skip to main content

Get fragments by ID

GET 

/pipelines/:pipeline_id/fragments

Returns the fragments of a pipeline that have the given identifiers, with the decrypted text in page_content, as a JSON array without the list envelope, in the order of the identifiers in the request. The array omits identifiers that match no fragment, fragments whose classification is outside the key's classification allow-list for the pipeline and, unless the request sets include_expired=true, fragments of expired document versions. A request names at most 1,000 identifiers.

Permissions. Read and execute on the pipeline.

Documents, versions and fragments describes fragments.

Request​

Responses​

The body is an array of the fragments found, in the order of the requested identifiers, which can be empty.